searchData={"items":[{"type":"module","title":"TeslaHmacAuth","doc":"A tesla middleware, for use with PlugHmac as a http client.","ref":"TeslaHmacAuth.html"},{"type":"module","title":"Example usage - TeslaHmacAuth","doc":"- Setting by client_id & secret:\n  ```elixir\n  defmodule MyClient do\n    use Tesla\n    plug TeslaHmacAuth, client_id: \"id\", secret: \"secret\"\n  end\n  ```\n\n- Setting by get_secret_fun:\n  ```elixir\n  defmodule MyClient do\n    use Tesla\n    plug TeslaHmacAuth, get_secret_fun: &MyConfig.get_secret/0\n  end\n  ```\n\n- Setting by config:\n`config :tesla_hmac_auth, auth: {\"client_id\", \"secret\"}`\n  ```elixir\n  defmodule MyClient do\n    use Tesla\n    plug TeslaHmacAuth\n  end\n  ```","ref":"TeslaHmacAuth.html#module-example-usage"},{"type":"function","title":"TeslaHmacAuth.call/3","doc":"","ref":"TeslaHmacAuth.html#call/3"},{"type":"function","title":"TeslaHmacAuth.get_secret/0","doc":"","ref":"TeslaHmacAuth.html#get_secret/0"},{"type":"extras","title":"Overview","doc":"# TeslaHmacAuth\n\n**A tesla middleware, for use with PlugHmac as a http client.**","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"You can be installed by adding `tesla_hmac_auth` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tesla_hmac_auth, \"~> 0.1\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Copyright and License - Overview","doc":"Copyright (c) 2024 feng19\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}